{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>{% if title %}{{title}} | {% endif %}{{app_title}}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta content="Premium Multipurpose Admin & Dashboard Template" name="description" />
    <meta content="" name="author" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />

    <!-- App favicon -->
    <link rel="shortcut icon" href="{% static 'assets/images/favicon.ico' %}">
    <!-- Select2 -->
    <link href="{% static 'plugins/select2/select2.min.css' %}" rel="stylesheet" type="text/css" />

    <!-- Sweet Alert -->
    <link href="{% static 'plugins/sweet-alert2/sweetalert2.min.css' %}" rel="stylesheet" type="text/css">

    <!-- App css -->
    <link href="{% static 'assets/css/bootstrap.min.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'assets/css/icons.min.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'assets/css/metisMenu.min.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'plugins/daterangepicker/daterangepicker.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'assets/css/app.min.css' %}" rel="stylesheet" type="text/css" />
    <link href="{% static 'assets/css/loader.css' %}" rel="stylesheet" type="text/css" />

    <style>
        .left-sidenav-menu li.active>a{
            color: #2f6bf9;
        }
    </style>


</head>

<body>
    <!-- Left Sidenav -->
    <div class="left-sidenav">
        <!-- LOGO -->
        <div class="brand">
            <a href="{% url 'app'%}" class="logo">


                <span>
                    <img style="height: 30px;" src="{% static 'assets/images/logo/tegain_logo.png' %}" alt="logo-large" class="logo-lg logo-dark">
                </span>
            </a>

        </div>
        <!--end logo-->
        <div class="menu-content h-100" data-simplebar>
            {% include 'includes/menu.html' %}

        </div>
    </div>
    <!-- end left-sidenav-->


    <div class="page-wrapper">
        <!-- Top Bar Start -->
        <div class="topbar">
            <!-- Navbar -->
            <nav class="navbar-custom">
                <ul class="list-unstyled topbar-nav float-right mb-0">

                    {% block search %}
                    {% endblock %}

                    <li class="dropdown notification-list">
                        <a class="nav-link dropdown-toggle arrow-none waves-light waves-effect" data-toggle="dropdown" href="sales-index.html#" role="button" aria-haspopup="false" aria-expanded="false">
                            <i data-feather="bell" class="align-self-center topbar-icon"></i>
                            <span class="badge badge-danger badge-pill noti-icon-badge">2</span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right dropdown-lg pt-0">

                            <h6 class="dropdown-item-text font-15 m-0 py-3 border-bottom d-flex justify-content-between align-items-center">
                                Notifications <span class="badge badge-primary badge-pill">2</span>
                            </h6>
                            <div class="notification-menu" data-simplebar>
                                <!-- item-->
                                <a href="sales-index.html#" class="dropdown-item py-3">
                                    <small class="float-right text-muted pl-2">2 min ago</small>
                                    <div class="media">
                                        <div class="avatar-md bg-soft-primary">
                                            <i data-feather="message-circle" class="align-self-center icon-xs"></i>
                                        </div>
                                        <div class="media-body align-self-center ml-2 text-truncate">
                                            <h6 class="my-0 font-weight-normal text-dark">Your order is placed</h6>
                                            <small class="text-muted mb-0">Dummy text of the printing and industry.</small>
                                        </div>
                                        <!--end media-body-->
                                    </div>
                                    <!--end media-->
                                </a>
                                <!--end-item-->

                            </div>
                            <!-- All-->
                            <a href="javascript:void(0);" class="dropdown-item text-center text-primary">
                                View all <i class="fi-arrow-right"></i>
                            </a>
                        </div>
                    </li>

                    <li class="dropdown">
                        <a class="nav-link dropdown-toggle waves-effect waves-light nav-user" data-toggle="dropdown" href="sales-index.html#" role="button" aria-haspopup="false" aria-expanded="false">
                            <span class="ml-1 nav-user-name hidden-sm">{{user}}</span>
                            <img src="{% static 'assets/images/users/user-5.jpg' %}" alt="profile-user" class="rounded-circle thumb-xs" />
                        </a>
                        <div class="dropdown-menu dropdown-menu-right">
                            <!-- <a class="dropdown-item" href="sales-index.html#"><i data-feather="user" class="align-self-center icon-xs icon-dual mr-1"></i> Profile</a>
                                <a class="dropdown-item" href="sales-index.html#"><i data-feather="settings" class="align-self-center icon-xs icon-dual mr-1"></i> Settings</a>
                                <div class="dropdown-divider mb-0"></div> -->
                            <a class="dropdown-item" onclick="document.getElementById('logout-form').submit()" href="javascript:void(0)"><i data-feather="power" class="align-self-center icon-xs icon-dual mr-1"></i> Logout</a>
                            <form id="logout-form" hidden action="{% url 'auth_logout'%}" method="post">
                                {% csrf_token %}
                                <input type="hidden" name="logout" value="logout">
                                <button type="submit">Logout</button>
                            </form>
                        </div>
                    </li>
                </ul>
                <!--end topbar-nav-->

                <ul class="list-unstyled topbar-nav mb-0">
                    <li>
                        <button class="nav-link button-menu-mobile">
                            <i data-feather="menu" class="align-self-center topbar-icon"></i>
                        </button>
                    </li>

                    <!-- <li class="creat-btn">
                        <div class="nav-link">
                            <a class=" btn btn-sm btn-soft-primary" href="sales-index.html#" role="button"><i class="fas fa-plus mr-2"></i>New Task</a>
                        </div>
                    </li> -->

                </ul>
            </nav>
            <!-- end navbar-->
        </div>
        <!-- Top Bar End -->

        <!-- Page Content-->
        <div class="page-content">
            <div class="container-fluid">
                <!-- Page-Title -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="page-title-box">
                            <div class="row">
                                <div class="col">
                                    <h4 class="page-title">{{title|default:"Title"}}</h4>

                                </div>
                                <!--end col-->
                                <div class="col-auto align-self-center">
                                    <a href="javascript:void(0)" class="btn btn-sm btn-outline-primary">
                                        <span class="" id="Select_date">{% now "jS F Y" %}</span>
                                    </a>

                                </div>
                                <!--end col-->

                                <!--end col-->
                            </div>
                            <!--end row-->
                        </div>
                        <!--end page-title-box-->
                    </div>
                    <!--end col-->
                </div>
                <!--end row-->
                <!-- end page title end breadcrumb -->

                {% block content %}
                {% include 'includes/dashboard.html' %}
                {% endblock %}

            </div><!-- container -->

            <footer class="footer text-center text-sm-left">
                {% include 'includes/footer.html' %}
            </footer>
            <!--end footer-->
        </div>
        <!-- end page content -->
    </div>
    <!-- end page-wrapper -->




    <!-- jQuery  -->
    <script src="{% static 'assets/js/jquery.min.js' %}"></script>
    <script src="{% static 'assets/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'assets/js/metismenu.min.js' %}"></script>
    <script src="{% static 'assets/js/waves.js' %}"></script>
    <script src="{% static 'assets/js/feather.min.js' %}"></script>
    <script src="{% static 'assets/js/simplebar.min.js' %}"></script>
    <script src="{% static 'assets/js/moment.js' %}"></script>
    <script src="{% static 'plugins/daterangepicker/daterangepicker.js' %}"></script>

    <!-- Parsley js -->
    <script src="{% static 'plugins/parsleyjs/parsley.min.js' %}"></script>


    <!-- Sweet-Alert  -->
    <script src="{% static 'plugins/sweet-alert2/sweetalert2.min.js' %}"></script>

    <!-- App js -->
    <script src="{% static 'assets/js/app.js' %}"></script>

    <script src="{% static 'assets/js/action.js' %}"></script>

    {% block static %}
    {% endblock %}
    <!-- Select2 -->
    <script src="{% static 'plugins/select2/select2.min.js' %}"></script>
    <script>
        $(document).ready(function () {

            $(".select-picker").select2({ width: "100%" });
            $(".date-picker").daterangepicker({
                singleDatePicker: !0,
                showDropdowns: !0,
                minYear: parseInt(moment().subtract(50, 'years').format("YYYY")),
                maxYear: parseInt(moment().add(100, 'years').format("YYYY")),
                locale: {
                    format: "YYYY-MM-DD"
                }
            });
            $(".datetime-picker").daterangepicker({
                singleDatePicker: !0,
                timePicker: !0,
                showDropdowns: !0,
                minYear: parseInt(moment().subtract(50, 'years').format("YYYY")),
                maxYear: parseInt(moment().add(100, 'years').format("YYYY")),
                locale: {
                    format: "YYYY-MM-DD HH:mm"
                }
            });

        });
    </script>
    <style>
        .select2-container .form-control {
            padding-left: 0 !important;
            padding-top: 0 !important;
        }

        .select2.select2-container.select2-container--default {
            width: 100% !important;
        }

        .removed_last:last-child {
            display: none
        }
    </style>

    <script>
        $(document).ready(function () {


            $(document).on('click', 'a.api-action', function (e) {
                e.preventDefault();
                e.stopImmediatePropagation();


                $this = $(this);
                var text = $this.attr('data-text');
                var type = "warning";
                var confirmButtonText = "Yes";
                var confirmButtonColor = "#DD6B55";
                var url = $this.attr('href');
                var redirect_url = $this.attr('data-redirect_url');
                var title = $this.attr('data-title');
                if (!title) {
                    title = "Are you sure?";
                }
                let isRemove = $(this).hasClass('remove')
                let isReload = $(this).hasClass('reload')

                swal({
                    title: title,
                    text: text,
                    type: type,
                    showCancelButton: true,
                    confirmButtonColor: confirmButtonColor,
                    confirmButtonText: confirmButtonText,
                    closeOnConfirm: true,
                    closeOnCancel: true
                }, function (isConfirm) {
                    if (isConfirm) {
                        show_loader();

                        window.setTimeout(function () {
                            $.ajax({
                                type: "DELETE",
                                dataType: 'json',
                                data: {},
                                url: url,
                                headers: {
                                    "Authorization": "{{token.token_type}} {{token.access_token}}",
                                    "Profile": "agent"
                                },
                                success: function (data) {

                                    remove_popup();


                                    success_title = "Success"
                                    success_message = "Action success completed."
                                    swal({
                                        title: success_title,
                                        text: success_message,
                                        type: "success"
                                    }, function () {
                                        if (isRemove) {
                                            var row_length = $this.parents('tbody').find('tr').length;
                                            $this.parents('tr').remove();
                                            var end = parseInt($('.current_end_status').html());
                                            var total = parseInt($('.total_count').html());
                                            $('.total_count').html(total - 1);
                                            $('.current_end_status').html(end - 1);
                                            if (row_length <= 1) {
                                                window.location.reload();
                                            }
                                        }

                                        if (redirect_url) {
                                            window.location.href = redirect_url;
                                        }
                                        if (isReload) {
                                            window.location.reload();
                                        }
                                    });

                                },
                                error: function (data) {
                                    remove_popup();

                                    var title = "An error occurred";
                                    var message = "An error occurred. Please try again later.";
                                    swal(title, message, "error");
                                }
                            });
                        }, 100);

                    }
                });
            });
        });
    </script>
</body>

</html>